<?php
return array (
  'connections' => array (
    'value'     => array (
      'default' => array (
        'className' => '\\Bitrix\\Main\\DB\\MysqliConnection',
        'host'      => '<%= @bind_address %>',
        'database'  => '<%= @db_name %>',
        'login'     => '<%= @admin_user %>',
        'password'  => '<%= @admin_password %>',
        'options'   => 2,
      ),
    ),
  ),
<% if @memcache_type %>
  'cache' => array(
        'value' => array(
           'type' => 'memcache',
           'memcache' => array(
             'host' => 'unix://<%= @memcached_socket %>',
             'port' => '0',
           ),
           'sid'  => $_SERVER["DOCUMENT_ROOT"].$_SERVER["SERVER_NAME"]
        ),
  ),
<% else %>
  'cache' => array(
        'value' => array(
           'type' => array(
                'class_name' => '\DHCache\CacheEngineMemcached',
                'required_file' => 'lib/cacheenginememcached.php'
            ),
            'hosts' => array(
                array("<%= @memcached_socket %>", "0")
            ),
            'sid'  => $_SERVER["DOCUMENT_ROOT"].$_SERVER["SERVER_NAME"]
        ),
  ),
<% end %>
  'prometheus_pushgateway' => array (
        'value' => '<%= @prometheus_pushgateway %>'
  ),
<% if @extra_settings %>  <%= @extra_settings %><%= "," %><% end %>
);
